#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	Text
%define	pnam	Tokenizer
Summary:	Text::Tokenizer - Perl extension for tokenizing text(config) files
Summary(pl.UTF-8):	Text::Tokenizer - rozszerzenie Perla do rozkładania plików tekstowych
Name:		perl-Text-Tokenizer
Version:	0.4.6
Release:	14
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	51ca83879abbcf223ec0940f037eb51f
URL:		http://search.cpan.org/dist/Text-Tokenizer/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::Tokenizer is very fast lexical analyzer, that can be used to
process input text from file or buffer to basic tokens.

%description -l pl.UTF-8
Text::Tokenizer jest bardzo szybkim analizatorem leksykalnym, który
może być użyty do przetwarzania tokenów z pliku lub bufora.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorarch}/Text/*.pm
%dir %{perl_vendorarch}/auto/Text/Tokenizer
%{perl_vendorarch}/auto/Text/Tokenizer/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Text/Tokenizer/*.so
%{_mandir}/man3/*
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Text-Tokenizer.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> f5af712
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 3b179cf
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 7096819
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> e8dca48
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 20915ac
- rebuild with perl 5.30.0
- release 11 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 710d954
- rebuild with perl 5.28.0
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7946b22
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b6cb704
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> a2e1c6d
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> f906a66
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 8d3ac6c
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 8823e64
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 4b7f663
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3421c14
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 95e98c8
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> ca5b504
- up to 0.4.6

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> e270189
- up to 0.4.5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6d1fc3f
- release 2

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 7ef75c0
- updated to 0.4.2

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 83e5158
- rel 3

